from together import Togetherimport osclient = Together( api_key=os.environ.get("TOGETHER_API_KEY"),)documents = [ { "title": "Llama", "text": "The llama is a domesticated South American camelid, widely used as a meat and pack animal by Andean cultures since the pre-Columbian era." }, { "title": "Panda", "text": "The giant panda (Ailuropoda melanoleuca), also known as the panda bear or simply panda, is a bear species endemic to China." }, { "title": "Guanaco", "text": "The guanaco is a camelid native to South America, closely related to the llama. Guanacos are one of two wild South American camelids; the other species is the vicuña, which lives at higher elevations." }, { "title": "Wild Bactrian camel", "text": "The wild Bactrian camel (Camelus ferus) is an endangered species of camel endemic to Northwest China and southwestern Mongolia." }]response = client.rerank.create( model="mixedbread-ai/mxbai-rerank-large-v2", query="What animals can I find near Peru?", documents=documents,)for result in response.results: print(f"Rank: {result.index + 1}") print(f"Title: {documents[result.index]['title']}") print(f"Text: {documents[result.index]['text']}")
import Together from "together-ai";
const client = new Together({
apiKey: process.env.TOGETHER_API_KEY,
});
const documents = [{
"title": "Llama",
"text": "The llama is a domesticated South American camelid, widely used as a meat and pack animal by Andean cultures since the pre-Columbian era."
},
{
"title": "Panda",
"text": "The giant panda (Ailuropoda melanoleuca), also known as the panda bear or simply panda, is a bear species endemic to China."
},
{
"title": "Guanaco",
"text": "The guanaco is a camelid native to South America, closely related to the llama. Guanacos are one of two wild South American camelids; the other species is the vicuña, which lives at higher elevations."
},
{
"title": "Wild Bactrian camel",
"text": "The wild Bactrian camel (Camelus ferus) is an endangered species of camel endemic to Northwest China and southwestern Mongolia."
}];
const response = await client.rerank.create({
model: "mixedbread-ai/mxbai-rerank-large-v2",
query: "What animals can I find near Peru?",
documents,
});
for (const result of response.results) {
console.log(`Rank: ${result.index + 1}`);
console.log(`Title: ${documents[result.index].title}`);
console.log(`Text: ${documents[result.index].text}`);
}
import Together from "together-ai";
const client = new Together({
apiKey: process.env.TOGETHER_API_KEY,
});
const documents = [{
"title": "Llama",
"text": "The llama is a domesticated South American camelid, widely used as a meat and pack animal by Andean cultures since the pre-Columbian era."
},
{
"title": "Panda",
"text": "The giant panda (Ailuropoda melanoleuca), also known as the panda bear or simply panda, is a bear species endemic to China."
},
{
"title": "Guanaco",
"text": "The guanaco is a camelid native to South America, closely related to the llama. Guanacos are one of two wild South American camelids; the other species is the vicuña, which lives at higher elevations."
},
{
"title": "Wild Bactrian camel",
"text": "The wild Bactrian camel (Camelus ferus) is an endangered species of camel endemic to Northwest China and southwestern Mongolia."
}];
const response = await client.rerank.create({
model: "mixedbread-ai/mxbai-rerank-large-v2",
query: "What animals can I find near Peru?",
documents,
});
for (const result of response.results) {
console.log(`Rank: ${result.index + 1}`);
console.log(`Title: ${documents[result.index].title}`);
console.log(`Text: ${documents[result.index].text}`);
}
curl -X POST "https://api.together.ai/v1/rerank" \
-H "Authorization: Bearer $TOGETHER_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "mixedbread-ai/mxbai-rerank-large-v2",
"query": "What animals can I find near Peru?",
"documents": [{
"title": "Llama",
"text": "The llama is a domesticated South American camelid, widely used as a meat and pack animal by Andean cultures since the pre-Columbian era."
},
{
"title": "Panda",
"text": "The giant panda (Ailuropoda melanoleuca), also known as the panda bear or simply panda, is a bear species endemic to China."
},
{
"title": "Guanaco",
"text": "The guanaco is a camelid native to South America, closely related to the llama. Guanacos are one of two wild South American camelids; the other species is the vicuña, which lives at higher elevations."
},
{
"title": "Wild Bactrian camel",
"text": "The wild Bactrian camel (Camelus ferus) is an endangered species of camel endemic to Northwest China and southwestern Mongolia."
}]
}'
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.together.ai/v1/rerank",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'model' => 'Salesforce/Llama-Rank-V1',
'query' => 'What animals can I find near Peru?',
'documents' => [
[
'title' => 'Llama',
'text' => 'The llama is a domesticated South American camelid, widely used as a meat and pack animal by Andean cultures since the pre-Columbian era.'
],
[
'title' => 'Panda',
'text' => 'The giant panda (Ailuropoda melanoleuca), also known as the panda bear or simply panda, is a bear species endemic to China.'
],
[
'title' => 'Guanaco',
'text' => 'The guanaco is a camelid native to South America, closely related to the llama. Guanacos are one of two wild South American camelids; the other species is the vicuña, which lives at higher elevations.'
],
[
'title' => 'Wild Bactrian camel',
'text' => 'The wild Bactrian camel (Camelus ferus) is an endangered species of camel endemic to Northwest China and southwestern Mongolia.'
]
],
'top_n' => 2,
'return_documents' => true,
'rank_fields' => [
'title',
'text'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.together.ai/v1/rerank"
payload := strings.NewReader("{\n \"model\": \"Salesforce/Llama-Rank-V1\",\n \"query\": \"What animals can I find near Peru?\",\n \"documents\": [\n {\n \"title\": \"Llama\",\n \"text\": \"The llama is a domesticated South American camelid, widely used as a meat and pack animal by Andean cultures since the pre-Columbian era.\"\n },\n {\n \"title\": \"Panda\",\n \"text\": \"The giant panda (Ailuropoda melanoleuca), also known as the panda bear or simply panda, is a bear species endemic to China.\"\n },\n {\n \"title\": \"Guanaco\",\n \"text\": \"The guanaco is a camelid native to South America, closely related to the llama. Guanacos are one of two wild South American camelids; the other species is the vicuña, which lives at higher elevations.\"\n },\n {\n \"title\": \"Wild Bactrian camel\",\n \"text\": \"The wild Bactrian camel (Camelus ferus) is an endangered species of camel endemic to Northwest China and southwestern Mongolia.\"\n }\n ],\n \"top_n\": 2,\n \"return_documents\": true,\n \"rank_fields\": [\n \"title\",\n \"text\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://api.together.ai/v1/rerank")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"model\": \"Salesforce/Llama-Rank-V1\",\n \"query\": \"What animals can I find near Peru?\",\n \"documents\": [\n {\n \"title\": \"Llama\",\n \"text\": \"The llama is a domesticated South American camelid, widely used as a meat and pack animal by Andean cultures since the pre-Columbian era.\"\n },\n {\n \"title\": \"Panda\",\n \"text\": \"The giant panda (Ailuropoda melanoleuca), also known as the panda bear or simply panda, is a bear species endemic to China.\"\n },\n {\n \"title\": \"Guanaco\",\n \"text\": \"The guanaco is a camelid native to South America, closely related to the llama. Guanacos are one of two wild South American camelids; the other species is the vicuña, which lives at higher elevations.\"\n },\n {\n \"title\": \"Wild Bactrian camel\",\n \"text\": \"The wild Bactrian camel (Camelus ferus) is an endangered species of camel endemic to Northwest China and southwestern Mongolia.\"\n }\n ],\n \"top_n\": 2,\n \"return_documents\": true,\n \"rank_fields\": [\n \"title\",\n \"text\"\n ]\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://api.together.ai/v1/rerank")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"model\": \"Salesforce/Llama-Rank-V1\",\n \"query\": \"What animals can I find near Peru?\",\n \"documents\": [\n {\n \"title\": \"Llama\",\n \"text\": \"The llama is a domesticated South American camelid, widely used as a meat and pack animal by Andean cultures since the pre-Columbian era.\"\n },\n {\n \"title\": \"Panda\",\n \"text\": \"The giant panda (Ailuropoda melanoleuca), also known as the panda bear or simply panda, is a bear species endemic to China.\"\n },\n {\n \"title\": \"Guanaco\",\n \"text\": \"The guanaco is a camelid native to South America, closely related to the llama. Guanacos are one of two wild South American camelids; the other species is the vicuña, which lives at higher elevations.\"\n },\n {\n \"title\": \"Wild Bactrian camel\",\n \"text\": \"The wild Bactrian camel (Camelus ferus) is an endangered species of camel endemic to Northwest China and southwestern Mongolia.\"\n }\n ],\n \"top_n\": 2,\n \"return_documents\": true,\n \"rank_fields\": [\n \"title\",\n \"text\"\n ]\n}"
response = http.request(request)
puts response.read_body
{ "object": "rerank", "model": "salesforce/turboranker-0.8-3778-6328", "results": [ { "index": 0, "relevance_score": 0.29980177813003117, "document": { "text": "{\"title\":\"Llama\",\"text\":\"The llama is a domesticated South American camelid, widely used as a meat and pack animal by Andean cultures since the pre-Columbian era.\"}" } }, { "index": 2, "relevance_score": 0.2752447527354349, "document": { "text": "{\"title\":\"Guanaco\",\"text\":\"The guanaco is a camelid native to South America, closely related to the llama. Guanacos are one of two wild South American camelids; the other species is the vicuña, which lives at higher elevations.\"}" } } ], "id": "9dfa1a09-5ebc-4a40-970f-586cb8f4ae47", "usage": { "prompt_tokens": 1837, "completion_tokens": 0, "total_tokens": 1837 }}
Rerank a list of documents by relevance to a query. Returns a relevance score and ordering index for each document.
POST
/
v1
/
rerank
Together AI SDK (Python)
from together import Togetherimport osclient = Together( api_key=os.environ.get("TOGETHER_API_KEY"),)documents = [ { "title": "Llama", "text": "The llama is a domesticated South American camelid, widely used as a meat and pack animal by Andean cultures since the pre-Columbian era." }, { "title": "Panda", "text": "The giant panda (Ailuropoda melanoleuca), also known as the panda bear or simply panda, is a bear species endemic to China." }, { "title": "Guanaco", "text": "The guanaco is a camelid native to South America, closely related to the llama. Guanacos are one of two wild South American camelids; the other species is the vicuña, which lives at higher elevations." }, { "title": "Wild Bactrian camel", "text": "The wild Bactrian camel (Camelus ferus) is an endangered species of camel endemic to Northwest China and southwestern Mongolia." }]response = client.rerank.create( model="mixedbread-ai/mxbai-rerank-large-v2", query="What animals can I find near Peru?", documents=documents,)for result in response.results: print(f"Rank: {result.index + 1}") print(f"Title: {documents[result.index]['title']}") print(f"Text: {documents[result.index]['text']}")
import Together from "together-ai";
const client = new Together({
apiKey: process.env.TOGETHER_API_KEY,
});
const documents = [{
"title": "Llama",
"text": "The llama is a domesticated South American camelid, widely used as a meat and pack animal by Andean cultures since the pre-Columbian era."
},
{
"title": "Panda",
"text": "The giant panda (Ailuropoda melanoleuca), also known as the panda bear or simply panda, is a bear species endemic to China."
},
{
"title": "Guanaco",
"text": "The guanaco is a camelid native to South America, closely related to the llama. Guanacos are one of two wild South American camelids; the other species is the vicuña, which lives at higher elevations."
},
{
"title": "Wild Bactrian camel",
"text": "The wild Bactrian camel (Camelus ferus) is an endangered species of camel endemic to Northwest China and southwestern Mongolia."
}];
const response = await client.rerank.create({
model: "mixedbread-ai/mxbai-rerank-large-v2",
query: "What animals can I find near Peru?",
documents,
});
for (const result of response.results) {
console.log(`Rank: ${result.index + 1}`);
console.log(`Title: ${documents[result.index].title}`);
console.log(`Text: ${documents[result.index].text}`);
}
import Together from "together-ai";
const client = new Together({
apiKey: process.env.TOGETHER_API_KEY,
});
const documents = [{
"title": "Llama",
"text": "The llama is a domesticated South American camelid, widely used as a meat and pack animal by Andean cultures since the pre-Columbian era."
},
{
"title": "Panda",
"text": "The giant panda (Ailuropoda melanoleuca), also known as the panda bear or simply panda, is a bear species endemic to China."
},
{
"title": "Guanaco",
"text": "The guanaco is a camelid native to South America, closely related to the llama. Guanacos are one of two wild South American camelids; the other species is the vicuña, which lives at higher elevations."
},
{
"title": "Wild Bactrian camel",
"text": "The wild Bactrian camel (Camelus ferus) is an endangered species of camel endemic to Northwest China and southwestern Mongolia."
}];
const response = await client.rerank.create({
model: "mixedbread-ai/mxbai-rerank-large-v2",
query: "What animals can I find near Peru?",
documents,
});
for (const result of response.results) {
console.log(`Rank: ${result.index + 1}`);
console.log(`Title: ${documents[result.index].title}`);
console.log(`Text: ${documents[result.index].text}`);
}
curl -X POST "https://api.together.ai/v1/rerank" \
-H "Authorization: Bearer $TOGETHER_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "mixedbread-ai/mxbai-rerank-large-v2",
"query": "What animals can I find near Peru?",
"documents": [{
"title": "Llama",
"text": "The llama is a domesticated South American camelid, widely used as a meat and pack animal by Andean cultures since the pre-Columbian era."
},
{
"title": "Panda",
"text": "The giant panda (Ailuropoda melanoleuca), also known as the panda bear or simply panda, is a bear species endemic to China."
},
{
"title": "Guanaco",
"text": "The guanaco is a camelid native to South America, closely related to the llama. Guanacos are one of two wild South American camelids; the other species is the vicuña, which lives at higher elevations."
},
{
"title": "Wild Bactrian camel",
"text": "The wild Bactrian camel (Camelus ferus) is an endangered species of camel endemic to Northwest China and southwestern Mongolia."
}]
}'
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.together.ai/v1/rerank",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'model' => 'Salesforce/Llama-Rank-V1',
'query' => 'What animals can I find near Peru?',
'documents' => [
[
'title' => 'Llama',
'text' => 'The llama is a domesticated South American camelid, widely used as a meat and pack animal by Andean cultures since the pre-Columbian era.'
],
[
'title' => 'Panda',
'text' => 'The giant panda (Ailuropoda melanoleuca), also known as the panda bear or simply panda, is a bear species endemic to China.'
],
[
'title' => 'Guanaco',
'text' => 'The guanaco is a camelid native to South America, closely related to the llama. Guanacos are one of two wild South American camelids; the other species is the vicuña, which lives at higher elevations.'
],
[
'title' => 'Wild Bactrian camel',
'text' => 'The wild Bactrian camel (Camelus ferus) is an endangered species of camel endemic to Northwest China and southwestern Mongolia.'
]
],
'top_n' => 2,
'return_documents' => true,
'rank_fields' => [
'title',
'text'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.together.ai/v1/rerank"
payload := strings.NewReader("{\n \"model\": \"Salesforce/Llama-Rank-V1\",\n \"query\": \"What animals can I find near Peru?\",\n \"documents\": [\n {\n \"title\": \"Llama\",\n \"text\": \"The llama is a domesticated South American camelid, widely used as a meat and pack animal by Andean cultures since the pre-Columbian era.\"\n },\n {\n \"title\": \"Panda\",\n \"text\": \"The giant panda (Ailuropoda melanoleuca), also known as the panda bear or simply panda, is a bear species endemic to China.\"\n },\n {\n \"title\": \"Guanaco\",\n \"text\": \"The guanaco is a camelid native to South America, closely related to the llama. Guanacos are one of two wild South American camelids; the other species is the vicuña, which lives at higher elevations.\"\n },\n {\n \"title\": \"Wild Bactrian camel\",\n \"text\": \"The wild Bactrian camel (Camelus ferus) is an endangered species of camel endemic to Northwest China and southwestern Mongolia.\"\n }\n ],\n \"top_n\": 2,\n \"return_documents\": true,\n \"rank_fields\": [\n \"title\",\n \"text\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://api.together.ai/v1/rerank")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"model\": \"Salesforce/Llama-Rank-V1\",\n \"query\": \"What animals can I find near Peru?\",\n \"documents\": [\n {\n \"title\": \"Llama\",\n \"text\": \"The llama is a domesticated South American camelid, widely used as a meat and pack animal by Andean cultures since the pre-Columbian era.\"\n },\n {\n \"title\": \"Panda\",\n \"text\": \"The giant panda (Ailuropoda melanoleuca), also known as the panda bear or simply panda, is a bear species endemic to China.\"\n },\n {\n \"title\": \"Guanaco\",\n \"text\": \"The guanaco is a camelid native to South America, closely related to the llama. Guanacos are one of two wild South American camelids; the other species is the vicuña, which lives at higher elevations.\"\n },\n {\n \"title\": \"Wild Bactrian camel\",\n \"text\": \"The wild Bactrian camel (Camelus ferus) is an endangered species of camel endemic to Northwest China and southwestern Mongolia.\"\n }\n ],\n \"top_n\": 2,\n \"return_documents\": true,\n \"rank_fields\": [\n \"title\",\n \"text\"\n ]\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://api.together.ai/v1/rerank")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"model\": \"Salesforce/Llama-Rank-V1\",\n \"query\": \"What animals can I find near Peru?\",\n \"documents\": [\n {\n \"title\": \"Llama\",\n \"text\": \"The llama is a domesticated South American camelid, widely used as a meat and pack animal by Andean cultures since the pre-Columbian era.\"\n },\n {\n \"title\": \"Panda\",\n \"text\": \"The giant panda (Ailuropoda melanoleuca), also known as the panda bear or simply panda, is a bear species endemic to China.\"\n },\n {\n \"title\": \"Guanaco\",\n \"text\": \"The guanaco is a camelid native to South America, closely related to the llama. Guanacos are one of two wild South American camelids; the other species is the vicuña, which lives at higher elevations.\"\n },\n {\n \"title\": \"Wild Bactrian camel\",\n \"text\": \"The wild Bactrian camel (Camelus ferus) is an endangered species of camel endemic to Northwest China and southwestern Mongolia.\"\n }\n ],\n \"top_n\": 2,\n \"return_documents\": true,\n \"rank_fields\": [\n \"title\",\n \"text\"\n ]\n}"
response = http.request(request)
puts response.read_body
{ "object": "rerank", "model": "salesforce/turboranker-0.8-3778-6328", "results": [ { "index": 0, "relevance_score": 0.29980177813003117, "document": { "text": "{\"title\":\"Llama\",\"text\":\"The llama is a domesticated South American camelid, widely used as a meat and pack animal by Andean cultures since the pre-Columbian era.\"}" } }, { "index": 2, "relevance_score": 0.2752447527354349, "document": { "text": "{\"title\":\"Guanaco\",\"text\":\"The guanaco is a camelid native to South America, closely related to the llama. Guanacos are one of two wild South American camelids; the other species is the vicuña, which lives at higher elevations.\"}" } } ], "id": "9dfa1a09-5ebc-4a40-970f-586cb8f4ae47", "usage": { "prompt_tokens": 1837, "completion_tokens": 0, "total_tokens": 1837 }}
List of documents, which can be either strings or objects.
Example:
[ { "title": "Llama", "text": "The llama is a domesticated South American camelid, widely used as a meat and pack animal by Andean cultures since the pre-Columbian era." }, { "title": "Panda", "text": "The giant panda (Ailuropoda melanoleuca), also known as the panda bear or simply panda, is a bear species endemic to China." }, { "title": "Guanaco", "text": "The guanaco is a camelid native to South America, closely related to the llama. Guanacos are one of two wild South American camelids; the other species is the vicuña, which lives at higher elevations." }, { "title": "Wild Bactrian camel", "text": "The wild Bactrian camel (Camelus ferus) is an endangered species of camel endemic to Northwest China and southwestern Mongolia." } ]
[ { "index": 0, "relevance_score": 0.29980177813003117, "document": { "text": "{\"title\":\"Llama\",\"text\":\"The llama is a domesticated South American camelid, widely used as a meat and pack animal by Andean cultures since the pre-Columbian era.\"}" } }, { "index": 2, "relevance_score": 0.2752447527354349, "document": { "text": "{\"title\":\"Guanaco\",\"text\":\"The guanaco is a camelid native to South America, closely related to the llama. Guanacos are one of two wild South American camelids; the other species is the vicuña, which lives at higher elevations.\"}" } } ]
{"docsConfig":{"theme":"almond","$schema":"https://mintlify.com/docs.json","name":"Together AI docs","description":"Documentation for the Together AI platform for inference and training.","colors":{"primary":"#FC4C02","light":"#FC4C02","dark":"#FC4C02"},"logo":{"light":"https://mintcdn.com/togetherai-52386018/gasg_XMR14P-KB11/logo/logo.svg?fit=max\u0026auto=format\u0026n=gasg_XMR14P-KB11\u0026q=85\u0026s=7ce2e810455d35e5916bb7253983eb98","dark":"https://mintcdn.com/togetherai-52386018/gasg_XMR14P-KB11/logo/logo-dark.svg?fit=max\u0026auto=format\u0026n=gasg_XMR14P-KB11\u0026q=85\u0026s=66f335ef8c544ef8949c4ac31557e054"},"favicon":"https://mintcdn.com/togetherai-52386018/-CXURtHnBCqpvt1N/favicon.svg?fit=max\u0026auto=format\u0026n=-CXURtHnBCqpvt1N\u0026q=85\u0026s=b3f5eec5b039ae68b2dd2a70ad0c66be","api":{"openapi":["openapi.yaml"],"playground":{"display":"simple"},"mdx":{"server":"https://api.together.ai/v1"}},"appearance":{"default":"system"},"background":{"color":{"light":"#FFFFFF","dark":"#050608"}},"navbar":{"links":[{"href":"https://api.together.ai/","label":"Sign in"}]},"footer":{"links":[{"header":"Company","items":[{"label":"About us","href":"https://www.together.ai/about"},{"label":"Careers","href":"https://www.together.ai/careers"}]},{"header":"Examples","items":[{"label":"Cookbooks","href":"https://www.together.ai/cookbooks"},{"label":"Demo apps","href":"https://www.together.ai/demos"}]},{"header":"Resources","items":[{"label":"Pricing","href":"https://www.together.ai/pricing"},{"label":"Support","href":"https://support.together.ai/"}]},{"header":"Legal","items":[{"label":"Cookie policy","href":"https://www.together.ai/cookie-policy"},{"label":"Consent preferences","href":"https://docs.together.ai/"}]}]},"fonts":{"heading":{"family":"The Future","weight":500,"source":"fonts/the-future-medium.woff2","format":"woff2"},"body":{"family":"The Future","weight":400,"source":"fonts/the-future-regular.woff2","format":"woff2"}},"icons":{"library":"tabler"},"integrations":{"ga4":{"measurementId":"G-9Q7932WNVC"}},"contextual":{"options":["copy","view","add-mcp","cursor"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"togetherai-52386018","hasAudioNarration":false,"actualSubdomain":"togetherai-52386018","customDomains":["docs.together.ai"],"gitSource":{"type":"github","owner":"togethercomputer","repo":"mintlify-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae4a3ffd2f3537f5ebad192","collectionId":"bbdf0b5e-b7c0-483b-a4ea-d50000d470f9","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae4a3ffd2f3537f5ebad192"},"feedback":{"thumbs":true,"contextualFeedback":{"allowEmail":true},"agentFeedback":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae5168305ddb97afbaba182","clientVersion":"0.0.4043","searchFilterCounts":[{"language":"default","tag":"API reference","count":190},{"language":"default","tag":"TOGETHER APIS","count":185},{"language":"default","tag":"Documentation","count":156},{"language":"default","tag":"Endpoints","count":47},{"language":"default","tag":"Guides","count":42},{"language":"default","tag":"INFERENCE APIS","count":41},{"language":"default","tag":"Post-training","count":35},{"language":"default","tag":"Containers","count":26},{"language":"default","tag":"POST-TRAINING","count":22},{"language":"default","tag":"GPU CLUSTERS","count":20}]},"assistantConfig":{"enableStarterQuestions":true,"enableContextualStarterQuestions":true,"deflection":{"enabled":true,"type":"link","email":"[email protected]","url":"https://support.together.ai/"}},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"/* cyrillic-ext */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 300;\n font-display: block;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD2OwG_TA.woff2) format('woff2');\n unicode-range: U+0460-052F, U+1C80-1C8A, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;\n}\n/* cyrillic */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 300;\n font-display: block;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD_OwG_TA.woff2) format('woff2');\n unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;\n}\n/* greek */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 300;\n font-display: block;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD4OwG_TA.woff2) format('woff2');\n unicode-range: U+0370-0377, U+037A-037F, U+0384-038A, U+038C, U+038E-03A1, U+03A3-03FF;\n}\n/* vietnamese */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 300;\n font-display: block;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD0OwG_TA.woff2) format('woff2');\n unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;\n}\n/* latin-ext */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 300;\n font-display: block;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD1OwG_TA.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 300;\n font-display: block;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD7OwE.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n/* cyrillic-ext */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 400;\n font-display: block;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD2OwG_TA.woff2) format('woff2');\n unicode-range: U+0460-052F, U+1C80-1C8A, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;\n}\n/* cyrillic */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 400;\n font-display: block;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD_OwG_TA.woff2) format('woff2');\n unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;\n}\n/* greek */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 400;\n font-display: block;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD4OwG_TA.woff2) format('woff2');\n unicode-range: U+0370-0377, U+037A-037F, U+0384-038A, U+038C, U+038E-03A1, U+03A3-03FF;\n}\n/* vietnamese */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 400;\n font-display: block;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD0OwG_TA.woff2) format('woff2');\n unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;\n}\n/* latin-ext */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 400;\n font-display: block;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD1OwG_TA.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 400;\n font-display: block;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD7OwE.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n/* cyrillic-ext */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 500;\n font-display: block;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD2OwG_TA.woff2) format('woff2');\n unicode-range: U+0460-052F, U+1C80-1C8A, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;\n}\n/* cyrillic */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 500;\n font-display: block;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD_OwG_TA.woff2) format('woff2');\n unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;\n}\n/* greek */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 500;\n font-display: block;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD4OwG_TA.woff2) format('woff2');\n unicode-range: U+0370-0377, U+037A-037F, U+0384-038A, U+038C, U+038E-03A1, U+03A3-03FF;\n}\n/* vietnamese */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 500;\n font-display: block;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD0OwG_TA.woff2) format('woff2');\n unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;\n}\n/* latin-ext */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 500;\n font-display: block;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD1OwG_TA.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 500;\n font-display: block;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD7OwE.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n/* cyrillic-ext */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 600;\n font-display: block;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD2OwG_TA.woff2) format('woff2');\n unicode-range: U+0460-052F, U+1C80-1C8A, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;\n}\n/* cyrillic */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 600;\n font-display: block;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD_OwG_TA.woff2) format('woff2');\n unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;\n}\n/* greek */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 600;\n font-display: block;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD4OwG_TA.woff2) format('woff2');\n unicode-range: U+0370-0377, U+037A-037F, U+0384-038A, U+038C, U+038E-03A1, U+03A3-03FF;\n}\n/* vietnamese */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 600;\n font-display: block;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD0OwG_TA.woff2) format('woff2');\n unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;\n}\n/* latin-ext */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 600;\n font-display: block;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD1OwG_TA.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 600;\n font-display: block;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD7OwE.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n/* cyrillic-ext */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 700;\n font-display: block;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD2OwG_TA.woff2) format('woff2');\n unicode-range: U+0460-052F, U+1C80-1C8A, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;\n}\n/* cyrillic */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 700;\n font-display: block;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD_OwG_TA.woff2) format('woff2');\n unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;\n}\n/* greek */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 700;\n font-display: block;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD4OwG_TA.woff2) format('woff2');\n unicode-range: U+0370-0377, U+037A-037F, U+0384-038A, U+038C, U+038E-03A1, U+03A3-03FF;\n}\n/* vietnamese */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 700;\n font-display: block;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD0OwG_TA.woff2) format('woff2');\n unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;\n}\n/* latin-ext */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 700;\n font-display: block;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD1OwG_TA.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 700;\n font-display: block;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD7OwE.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n@font-face{font-family:'The Future';src:url(/fonts/the-future-light.woff2) format('woff2');font-weight:300;font-style:normal;font-display:block}@font-face{font-family:'The Future';src:url(/fonts/the-future-bold.woff2) format('woff2');font-weight:700;font-style:normal;font-display:block}body{font-family:'The Future',ui-sans-serif,system-ui,sans-serif!important}.font-mono,code,kbd,samp{font-family:\"JetBrains Mono\",\"SF Mono\",SFMono-Regular,ui-monospace,monospace!important}body :is(.tracking-tight){letter-spacing:.02em}h1{letter-spacing:-.5px!important}h1,h2,h3,h4,h5,h6{font-weight:500!important}#content-container>div{max-width:1080px}#topbar-cta-button>a{border-radius:9999px;background-color:#fff;border:1px solid #ede9e8;padding:.375rem .75rem;gap:.625rem;height:32px}#topbar-cta-button>a>div>span{font-size:.875rem;line-height:1.25rem;font-weight:500;text-align:left;color:#262626}.prose:is(.dark *){color:#dadfe7}.method-nav-pill>span[class*=\"#3064E3\"]{background-color:#972e02!important}.method-nav-pill>span[class*=bg-blue]{background-color:rgba(151,46,2,.2)!important}.method-nav-pill>span[class*=text-blue]{color:#972e02!important}.dark .method-nav-pill>span[class*=text-blue]{color:#fc8050!important}.sidebar-group>button>div,.sidebar-group>div>div,nav [class*=group]>button>div,nav [class*=group]>div:first-child{font-family:'The Future',ui-sans-serif,system-ui,sans-serif!important}.prose b,.prose h1,.prose h2,.prose h3,.prose h4,.prose h5,.prose h6,.prose strong,a,b,button,h1,h2,h3,h4,h5,h6,input,label,li,p,select,span,strong,textarea{font-family:'The Future',ui-sans-serif,system-ui,sans-serif!important}.prose a,.prose b,.prose strong,b,strong{font-weight:500!important}.code-group .code-block-background,.code-group .code-block-background *,.code-group pre,.code-group pre *,code span,pre,pre *{font-family:\"JetBrains Mono\",\"SF Mono\",SFMono-Regular,ui-monospace,monospace!important}.columns.card-group>.card:has([data-component-part=card-image]){border:0!important;box-shadow:none!important;padding:.25rem!important}.columns.card-group>.card:has([data-component-part=card-image]):hover{border-color:transparent!important}.columns.card-group>.card [data-component-part=card-image]{height:170px;width:100%;display:block;object-fit:cover;border-radius:12px;transition:transform .3s ease-out}.columns.card-group>.card:hover [data-component-part=card-image]{transform:scale(1.03)}.columns.card-group>.card:has([data-component-part=card-image]) [data-component-part=card-content-container]{padding-left:0!important;padding-right:0!important;padding-top:.875rem!important}.sidebar-group a[href*=http] svg.flex-shrink-0,.sidebar-group a[target=_blank] svg{flex-shrink:0;margin-left:2px;width:10px;height:10px}"}],"page":{"pagePath":"reference/rerank","slug":"/reference/rerank","pageMetadata":{"openapi":"openapi.yaml POST /v1/rerank","title":"Create a rerank request","description":"Rerank a list of documents by relevance to a query. Returns a relevance score and ordering index for each document.","href":"/reference/rerank"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Rerank a list of documents by relevance to a query. Returns a relevance score and ordering index for each document.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"openapi.yaml POST /v1/rerank","title":"Create a rerank request","description":"Rerank a list of documents by relevance to a query. Returns a relevance score and ordering index for each document.","href":"/reference/rerank"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/togetherai-52386018/9caa6b942e5ff42e/cookie-banner.js","/_mintlify/custom/togetherai-52386018/640c2436e532f72c/docs/intro-custom.js","/_mintlify/custom/togetherai-52386018/f691cce87ef66561/cookbook-script.js"],"openApiReferenceData":{"operation":{"tags":["Rerank"],"summary":"Create a rerank request","description":"Rerank a list of documents by relevance to a query. Returns a relevance score and ordering index for each document.","operationId":"rerank","requestBody":"3bdd7706-1abb-483f-b89d-a4de06fc5bb6","responses":{"200":"060fd911-f093-470e-9eb9-14731b830a39","400":"2ff26050-f095-4480-a2ad-6939818d2212","401":"9c7d0abb-9860-4440-a44d-1adf662f8eee","404":"cc578d17-5896-4b19-8872-8ce8189858b3","429":"bb1ba793-ef74-4848-a928-e7ee7fa7ab6a","503":"119baa8a-5fd7-4232-8ba4-fde7dc278c76","504":"aeebe852-b188-440d-aadd-e7486d44c036"},"deprecated":false,"x-codeSamples":[{"lang":"Python","label":"Together AI SDK (Python)","source":"from together import Together\nimport os\n\nclient = Together(\n api_key=os.environ.get(\"TOGETHER_API_KEY\"),\n)\n\ndocuments = [\n {\n \"title\": \"Llama\",\n \"text\": \"The llama is a domesticated South American camelid, widely used as a meat and pack animal by Andean cultures since the pre-Columbian era.\"\n },\n {\n \"title\": \"Panda\",\n \"text\": \"The giant panda (Ailuropoda melanoleuca), also known as the panda bear or simply panda, is a bear species endemic to China.\"\n },\n {\n \"title\": \"Guanaco\",\n \"text\": \"The guanaco is a camelid native to South America, closely related to the llama. Guanacos are one of two wild South American camelids; the other species is the vicuña, which lives at higher elevations.\"\n },\n {\n \"title\": \"Wild Bactrian camel\",\n \"text\": \"The wild Bactrian camel (Camelus ferus) is an endangered species of camel endemic to Northwest China and southwestern Mongolia.\"\n }\n]\n\nresponse = client.rerank.create(\n model=\"mixedbread-ai/mxbai-rerank-large-v2\",\n query=\"What animals can I find near Peru?\",\n documents=documents,\n)\n\nfor result in response.results:\n print(f\"Rank: {result.index + 1}\")\n print(f\"Title: {documents[result.index]['title']}\")\n print(f\"Text: {documents[result.index]['text']}\")\n"},{"lang":"TypeScript","label":"Together AI SDK (TypeScript)","source":"import Together from \"together-ai\";\n\nconst client = new Together({\n apiKey: process.env.TOGETHER_API_KEY,\n});\n\nconst documents = [{\n \"title\": \"Llama\",\n \"text\": \"The llama is a domesticated South American camelid, widely used as a meat and pack animal by Andean cultures since the pre-Columbian era.\"\n},\n{\n \"title\": \"Panda\",\n \"text\": \"The giant panda (Ailuropoda melanoleuca), also known as the panda bear or simply panda, is a bear species endemic to China.\"\n},\n{\n \"title\": \"Guanaco\",\n \"text\": \"The guanaco is a camelid native to South America, closely related to the llama. Guanacos are one of two wild South American camelids; the other species is the vicuña, which lives at higher elevations.\"\n},\n{\n \"title\": \"Wild Bactrian camel\",\n \"text\": \"The wild Bactrian camel (Camelus ferus) is an endangered species of camel endemic to Northwest China and southwestern Mongolia.\"\n}];\n\nconst response = await client.rerank.create({\n model: \"mixedbread-ai/mxbai-rerank-large-v2\",\n query: \"What animals can I find near Peru?\",\n documents,\n});\n\nfor (const result of response.results) {\n console.log(`Rank: ${result.index + 1}`);\n console.log(`Title: ${documents[result.index].title}`);\n console.log(`Text: ${documents[result.index].text}`);\n}\n"},{"lang":"JavaScript","label":"Together AI SDK (JavaScript)","source":"import Together from \"together-ai\";\n\nconst client = new Together({\n apiKey: process.env.TOGETHER_API_KEY,\n});\n\nconst documents = [{\n \"title\": \"Llama\",\n \"text\": \"The llama is a domesticated South American camelid, widely used as a meat and pack animal by Andean cultures since the pre-Columbian era.\"\n},\n{\n \"title\": \"Panda\",\n \"text\": \"The giant panda (Ailuropoda melanoleuca), also known as the panda bear or simply panda, is a bear species endemic to China.\"\n},\n{\n \"title\": \"Guanaco\",\n \"text\": \"The guanaco is a camelid native to South America, closely related to the llama. Guanacos are one of two wild South American camelids; the other species is the vicuña, which lives at higher elevations.\"\n},\n{\n \"title\": \"Wild Bactrian camel\",\n \"text\": \"The wild Bactrian camel (Camelus ferus) is an endangered species of camel endemic to Northwest China and southwestern Mongolia.\"\n}];\n\nconst response = await client.rerank.create({\n model: \"mixedbread-ai/mxbai-rerank-large-v2\",\n query: \"What animals can I find near Peru?\",\n documents,\n});\n\nfor (const result of response.results) {\n console.log(`Rank: ${result.index + 1}`);\n console.log(`Title: ${documents[result.index].title}`);\n console.log(`Text: ${documents[result.index].text}`);\n}\n"},{"lang":"Shell","label":"cURL","source":"curl -X POST \"https://api.together.ai/v1/rerank\" \\\n -H \"Authorization: Bearer $TOGETHER_API_KEY\" \\\n -H \"Content-Type: application/json\" \\\n -d '{\n \"model\": \"mixedbread-ai/mxbai-rerank-large-v2\",\n \"query\": \"What animals can I find near Peru?\",\n \"documents\": [{\n \"title\": \"Llama\",\n \"text\": \"The llama is a domesticated South American camelid, widely used as a meat and pack animal by Andean cultures since the pre-Columbian era.\"\n },\n {\n \"title\": \"Panda\",\n \"text\": \"The giant panda (Ailuropoda melanoleuca), also known as the panda bear or simply panda, is a bear species endemic to China.\"\n },\n {\n \"title\": \"Guanaco\",\n \"text\": \"The guanaco is a camelid native to South America, closely related to the llama. Guanacos are one of two wild South American camelids; the other species is the vicuña, which lives at higher elevations.\"\n },\n {\n \"title\": \"Wild Bactrian camel\",\n \"text\": \"The wild Bactrian camel (Camelus ferus) is an endangered species of camel endemic to Northwest China and southwestern Mongolia.\"\n }]\n }'\n"}],"method":"post","type":"path","servers":["df5d395b-4361-482a-b199-024e9b646a04"],"security":["891da42a-45db-49a9-b2ed-1e5ffa9585c5"],"path":"/v1/rerank","baseUrlOptions":["https://api.together.ai"],"title":"Create a rerank request","codeSamples":[{"label":"Together AI SDK (Python)","lang":"Python","source":"from together import Together\nimport os\n\nclient = Together(\n api_key=os.environ.get(\"TOGETHER_API_KEY\"),\n)\n\ndocuments = [\n {\n \"title\": \"Llama\",\n \"text\": \"The llama is a domesticated South American camelid, widely used as a meat and pack animal by Andean cultures since the pre-Columbian era.\"\n },\n {\n \"title\": \"Panda\",\n \"text\": \"The giant panda (Ailuropoda melanoleuca), also known as the panda bear or simply panda, is a bear species endemic to China.\"\n },\n {\n \"title\": \"Guanaco\",\n \"text\": \"The guanaco is a camelid native to South America, closely related to the llama. Guanacos are one of two wild South American camelids; the other species is the vicuña, which lives at higher elevations.\"\n },\n {\n \"title\": \"Wild Bactrian camel\",\n \"text\": \"The wild Bactrian camel (Camelus ferus) is an endangered species of camel endemic to Northwest China and southwestern Mongolia.\"\n }\n]\n\nresponse = client.rerank.create(\n model=\"mixedbread-ai/mxbai-rerank-large-v2\",\n query=\"What animals can I find near Peru?\",\n documents=documents,\n)\n\nfor result in response.results:\n print(f\"Rank: {result.index + 1}\")\n print(f\"Title: {documents[result.index]['title']}\")\n print(f\"Text: {documents[result.index]['text']}\")\n"},{"label":"Together AI SDK (TypeScript)","lang":"TypeScript","source":"import Together from \"together-ai\";\n\nconst client = new Together({\n apiKey: process.env.TOGETHER_API_KEY,\n});\n\nconst documents = [{\n \"title\": \"Llama\",\n \"text\": \"The llama is a domesticated South American camelid, widely used as a meat and pack animal by Andean cultures since the pre-Columbian era.\"\n},\n{\n \"title\": \"Panda\",\n \"text\": \"The giant panda (Ailuropoda melanoleuca), also known as the panda bear or simply panda, is a bear species endemic to China.\"\n},\n{\n \"title\": \"Guanaco\",\n \"text\": \"The guanaco is a camelid native to South America, closely related to the llama. Guanacos are one of two wild South American camelids; the other species is the vicuña, which lives at higher elevations.\"\n},\n{\n \"title\": \"Wild Bactrian camel\",\n \"text\": \"The wild Bactrian camel (Camelus ferus) is an endangered species of camel endemic to Northwest China and southwestern Mongolia.\"\n}];\n\nconst response = await client.rerank.create({\n model: \"mixedbread-ai/mxbai-rerank-large-v2\",\n query: \"What animals can I find near Peru?\",\n documents,\n});\n\nfor (const result of response.results) {\n console.log(`Rank: ${result.index + 1}`);\n console.log(`Title: ${documents[result.index].title}`);\n console.log(`Text: ${documents[result.index].text}`);\n}\n"},{"label":"Together AI SDK (JavaScript)","lang":"JavaScript","source":"import Together from \"together-ai\";\n\nconst client = new Together({\n apiKey: process.env.TOGETHER_API_KEY,\n});\n\nconst documents = [{\n \"title\": \"Llama\",\n \"text\": \"The llama is a domesticated South American camelid, widely used as a meat and pack animal by Andean cultures since the pre-Columbian era.\"\n},\n{\n \"title\": \"Panda\",\n \"text\": \"The giant panda (Ailuropoda melanoleuca), also known as the panda bear or simply panda, is a bear species endemic to China.\"\n},\n{\n \"title\": \"Guanaco\",\n \"text\": \"The guanaco is a camelid native to South America, closely related to the llama. Guanacos are one of two wild South American camelids; the other species is the vicuña, which lives at higher elevations.\"\n},\n{\n \"title\": \"Wild Bactrian camel\",\n \"text\": \"The wild Bactrian camel (Camelus ferus) is an endangered species of camel endemic to Northwest China and southwestern Mongolia.\"\n}];\n\nconst response = await client.rerank.create({\n model: \"mixedbread-ai/mxbai-rerank-large-v2\",\n query: \"What animals can I find near Peru?\",\n documents,\n});\n\nfor (const result of response.results) {\n console.log(`Rank: ${result.index + 1}`);\n console.log(`Title: ${documents[result.index].title}`);\n console.log(`Text: ${documents[result.index].text}`);\n}\n"},{"label":"cURL","lang":"Shell","source":"curl -X POST \"https://api.together.ai/v1/rerank\" \\\n -H \"Authorization: Bearer $TOGETHER_API_KEY\" \\\n -H \"Content-Type: application/json\" \\\n -d '{\n \"model\": \"mixedbread-ai/mxbai-rerank-large-v2\",\n \"query\": \"What animals can I find near Peru?\",\n \"documents\": [{\n \"title\": \"Llama\",\n \"text\": \"The llama is a domesticated South American camelid, widely used as a meat and pack animal by Andean cultures since the pre-Columbian era.\"\n },\n {\n \"title\": \"Panda\",\n \"text\": \"The giant panda (Ailuropoda melanoleuca), also known as the panda bear or simply panda, is a bear species endemic to China.\"\n },\n {\n \"title\": \"Guanaco\",\n \"text\": \"The guanaco is a camelid native to South America, closely related to the llama. Guanacos are one of two wild South American camelids; the other species is the vicuña, which lives at higher elevations.\"\n },\n {\n \"title\": \"Wild Bactrian camel\",\n \"text\": \"The wild Bactrian camel (Camelus ferus) is an endangered species of camel endemic to Northwest China and southwestern Mongolia.\"\n }]\n }'\n"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"model":{"oneOf":[{"type":"string","description":"The model to be used for the rerank request.\u003cbr> \u003cbr> [See all of Together AI's rerank models](https://docs.together.ai/docs/serverless-models#rerank-models)\n","enum":["Salesforce/Llama-Rank-v1"],"example":"Salesforce/Llama-Rank-V1","isRequired":true,"uniqueKey":"model.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"string","description":"The model to be used for the rerank request.\u003cbr> \u003cbr> [See all of Together AI's rerank models](https://docs.together.ai/docs/serverless-models#rerank-models)\n","example":"Salesforce/Llama-Rank-V1","isRequired":true,"uniqueKey":"model.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"model","typeLabel":"enum\u003cstring> | string"},"query":{"type":"string","description":"The search query to be used for ranking.","example":"What animals can I find near Peru?","isRequired":true,"uniqueKey":"query","typeLabel":"string"},"documents":{"oneOf":[{"type":"array","items":{"type":"object","additionalProperties":true,"uniqueKey":"documents.oneOf.0.items.[INDEX]","typeLabel":"object"},"description":"List of documents, which can be either strings or objects.","example":[{"title":"Llama","text":"The llama is a domesticated South American camelid, widely used as a meat and pack animal by Andean cultures since the pre-Columbian era."},{"title":"Panda","text":"The giant panda (Ailuropoda melanoleuca), also known as the panda bear or simply panda, is a bear species endemic to China."},{"title":"Guanaco","text":"The guanaco is a camelid native to South America, closely related to the llama. Guanacos are one of two wild South American camelids; the other species is the vicuña, which lives at higher elevations."},{"title":"Wild Bactrian camel","text":"The wild Bactrian camel (Camelus ferus) is an endangered species of camel endemic to Northwest China and southwestern Mongolia."}],"isRequired":true,"uniqueKey":"documents.oneOf.0","typeLabel":"object[]"},{"type":"array","items":{"type":"string","example":"Our solar system orbits the Milky Way galaxy at about 515,000 mph","uniqueKey":"documents.oneOf.1.items.[INDEX]","typeLabel":"string"},"description":"List of documents, which can be either strings or objects.","example":[{"title":"Llama","text":"The llama is a domesticated South American camelid, widely used as a meat and pack animal by Andean cultures since the pre-Columbian era."},{"title":"Panda","text":"The giant panda (Ailuropoda melanoleuca), also known as the panda bear or simply panda, is a bear species endemic to China."},{"title":"Guanaco","text":"The guanaco is a camelid native to South America, closely related to the llama. Guanacos are one of two wild South American camelids; the other species is the vicuña, which lives at higher elevations."},{"title":"Wild Bactrian camel","text":"The wild Bactrian camel (Camelus ferus) is an endangered species of camel endemic to Northwest China and southwestern Mongolia."}],"isRequired":true,"uniqueKey":"documents.oneOf.1","typeLabel":"string[]"}],"isRequired":true,"uniqueKey":"documents","typeLabel":"object[] | string[]"},"top_n":{"type":"integer","description":"The number of top results to return.","example":2,"uniqueKey":"top_n","typeLabel":"integer"},"return_documents":{"type":"boolean","description":"Whether to return supplied documents with the response.","example":true,"uniqueKey":"return_documents","typeLabel":"boolean"},"rank_fields":{"type":"array","items":{"type":"string","uniqueKey":"rank_fields.items.[INDEX]","typeLabel":"string"},"description":"List of keys in the JSON Object document to rank by. Defaults to use all supplied keys for ranking.","example":["title","text"],"uniqueKey":"rank_fields","typeLabel":"string[]"}},"required":["model","query","documents"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"model":"Salesforce/Llama-Rank-V1","query":"What animals can I find near Peru?","documents":[{"title":"Llama","text":"The llama is a domesticated South American camelid, widely used as a meat and pack animal by Andean cultures since the pre-Columbian era."},{"title":"Panda","text":"The giant panda (Ailuropoda melanoleuca), also known as the panda bear or simply panda, is a bear species endemic to China."},{"title":"Guanaco","text":"The guanaco is a camelid native to South America, closely related to the llama. Guanacos are one of two wild South American camelids; the other species is the vicuña, which lives at higher elevations."},{"title":"Wild Bactrian camel","text":"The wild Bactrian camel (Camelus ferus) is an endangered species of camel endemic to Northwest China and southwestern Mongolia."}],"top_n":2,"return_documents":true,"rank_fields":["title","text"]}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"060fd911-f093-470e-9eb9-14731b830a39":{"description":"200","content":{"application/json":{"schema":{"type":"object","required":["object","model","results"],"properties":{"object":{"description":"The object type, which is always `rerank`.","const":"rerank","isRequired":true,"uniqueKey":"object","typeLabel":"any"},"model":{"type":"string","description":"The model to be used for the rerank request.","example":"salesforce/turboranker-0.8-3778-6328","isRequired":true,"uniqueKey":"model","typeLabel":"string"},"results":{"type":"array","items":{"type":"object","required":["index","relevance_score","document"],"properties":{"index":{"type":"integer","isRequired":true,"uniqueKey":"results.items.[INDEX].index","typeLabel":"integer"},"relevance_score":{"type":"number","isRequired":true,"uniqueKey":"results.items.[INDEX].relevance_score","typeLabel":"number"},"document":{"type":"object","properties":{"text":{"oneOf":[{"type":"string","uniqueKey":"results.items.[INDEX].document.text.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"results.items.[INDEX].document.text.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].document.text","typeLabel":"string | null"}},"isRequired":true,"uniqueKey":"results.items.[INDEX].document","typeLabel":"object"}},"uniqueKey":"results.items.[INDEX]","typeLabel":"object"},"example":[{"index":0,"relevance_score":0.29980177813003117,"document":{"text":"{\"title\":\"Llama\",\"text\":\"The llama is a domesticated South American camelid, widely used as a meat and pack animal by Andean cultures since the pre-Columbian era.\"}"}},{"index":2,"relevance_score":0.2752447527354349,"document":{"text":"{\"title\":\"Guanaco\",\"text\":\"The guanaco is a camelid native to South America, closely related to the llama. Guanacos are one of two wild South American camelids; the other species is the vicuña, which lives at higher elevations.\"}"}}],"isRequired":true,"uniqueKey":"results","typeLabel":"object[]"},"id":{"type":"string","description":"Request ID","example":"9dfa1a09-5ebc-4a40-970f-586cb8f4ae47","uniqueKey":"id","typeLabel":"string"},"usage":{"oneOf":[{"type":"object","properties":{"prompt_tokens":{"type":"integer","isRequired":true,"uniqueKey":"usage.oneOf.0.prompt_tokens","typeLabel":"integer"},"completion_tokens":{"type":"integer","isRequired":true,"uniqueKey":"usage.oneOf.0.completion_tokens","typeLabel":"integer"},"total_tokens":{"type":"integer","isRequired":true,"uniqueKey":"usage.oneOf.0.total_tokens","typeLabel":"integer"}},"required":["prompt_tokens","completion_tokens","total_tokens"],"example":{"prompt_tokens":1837,"completion_tokens":0,"total_tokens":1837},"uniqueKey":"usage.oneOf.0","typeLabel":"object"},{"type":"null","properties":{"prompt_tokens":{"type":"integer"},"completion_tokens":{"type":"integer"},"total_tokens":{"type":"integer"}},"required":["prompt_tokens","completion_tokens","total_tokens"],"example":{"prompt_tokens":1837,"completion_tokens":0,"total_tokens":1837},"uniqueKey":"usage.oneOf.1","typeLabel":"null"}],"uniqueKey":"usage","typeLabel":"object | null"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"object":"rerank","model":"salesforce/turboranker-0.8-3778-6328","results":[{"index":0,"relevance_score":0.29980177813003117,"document":{"text":"{\"title\":\"Llama\",\"text\":\"The llama is a domesticated South American camelid, widely used as a meat and pack animal by Andean cultures since the pre-Columbian era.\"}"}},{"index":2,"relevance_score":0.2752447527354349,"document":{"text":"{\"title\":\"Guanaco\",\"text\":\"The guanaco is a camelid native to South America, closely related to the llama. Guanacos are one of two wild South American camelids; the other species is the vicuña, which lives at higher elevations.\"}"}}],"id":"9dfa1a09-5ebc-4a40-970f-586cb8f4ae47","usage":{"prompt_tokens":1837,"completion_tokens":0,"total_tokens":1837}}}},"exampleType":"generated"}},"exampleType":"generated"},"2ff26050-f095-4480-a2ad-6939818d2212":{"description":"BadRequest","content":{"application/json":{"schema":{"type":"object","required":["error"],"properties":{"error":{"type":"object","properties":{"message":{"type":"string","nullable":false,"isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"type":{"type":"string","nullable":false,"isRequired":true,"uniqueKey":"error.type","typeLabel":"string"},"param":{"oneOf":[{"type":"string","default":null,"uniqueKey":"error.param.oneOf.0","typeLabel":"string"},{"type":"null","default":null,"uniqueKey":"error.param.oneOf.1","typeLabel":"null"}],"uniqueKey":"error.param","typeLabel":"string | null"},"code":{"oneOf":[{"type":"string","default":null,"uniqueKey":"error.code.oneOf.0","typeLabel":"string"},{"type":"null","default":null,"uniqueKey":"error.code.oneOf.1","typeLabel":"null"}],"uniqueKey":"error.code","typeLabel":"string | null"}},"required":["type","message"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"message":"\u003cstring>","type":"\u003cstring>","param":null,"code":null}}}},"exampleType":"generated"}},"exampleType":"generated"},"9c7d0abb-9860-4440-a44d-1adf662f8eee":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","required":["error"],"properties":{"error":{"type":"object","properties":{"message":{"type":"string","nullable":false,"isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"type":{"type":"string","nullable":false,"isRequired":true,"uniqueKey":"error.type","typeLabel":"string"},"param":{"oneOf":[{"type":"string","default":null,"uniqueKey":"error.param.oneOf.0","typeLabel":"string"},{"type":"null","default":null,"uniqueKey":"error.param.oneOf.1","typeLabel":"null"}],"uniqueKey":"error.param","typeLabel":"string | null"},"code":{"oneOf":[{"type":"string","default":null,"uniqueKey":"error.code.oneOf.0","typeLabel":"string"},{"type":"null","default":null,"uniqueKey":"error.code.oneOf.1","typeLabel":"null"}],"uniqueKey":"error.code","typeLabel":"string | null"}},"required":["type","message"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"message":"\u003cstring>","type":"\u003cstring>","param":null,"code":null}}}},"exampleType":"generated"}},"exampleType":"generated"},"cc578d17-5896-4b19-8872-8ce8189858b3":{"description":"NotFound","content":{"application/json":{"schema":{"type":"object","required":["error"],"properties":{"error":{"type":"object","properties":{"message":{"type":"string","nullable":false,"isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"type":{"type":"string","nullable":false,"isRequired":true,"uniqueKey":"error.type","typeLabel":"string"},"param":{"oneOf":[{"type":"string","default":null,"uniqueKey":"error.param.oneOf.0","typeLabel":"string"},{"type":"null","default":null,"uniqueKey":"error.param.oneOf.1","typeLabel":"null"}],"uniqueKey":"error.param","typeLabel":"string | null"},"code":{"oneOf":[{"type":"string","default":null,"uniqueKey":"error.code.oneOf.0","typeLabel":"string"},{"type":"null","default":null,"uniqueKey":"error.code.oneOf.1","typeLabel":"null"}],"uniqueKey":"error.code","typeLabel":"string | null"}},"required":["type","message"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"message":"\u003cstring>","type":"\u003cstring>","param":null,"code":null}}}},"exampleType":"generated"}},"exampleType":"generated"},"bb1ba793-ef74-4848-a928-e7ee7fa7ab6a":{"description":"RateLimit","content":{"application/json":{"schema":{"type":"object","required":["error"],"properties":{"error":{"type":"object","properties":{"message":{"type":"string","nullable":false,"isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"type":{"type":"string","nullable":false,"isRequired":true,"uniqueKey":"error.type","typeLabel":"string"},"param":{"oneOf":[{"type":"string","default":null,"uniqueKey":"error.param.oneOf.0","typeLabel":"string"},{"type":"null","default":null,"uniqueKey":"error.param.oneOf.1","typeLabel":"null"}],"uniqueKey":"error.param","typeLabel":"string | null"},"code":{"oneOf":[{"type":"string","default":null,"uniqueKey":"error.code.oneOf.0","typeLabel":"string"},{"type":"null","default":null,"uniqueKey":"error.code.oneOf.1","typeLabel":"null"}],"uniqueKey":"error.code","typeLabel":"string | null"}},"required":["type","message"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"message":"\u003cstring>","type":"\u003cstring>","param":null,"code":null}}}},"exampleType":"generated"}},"exampleType":"generated"},"119baa8a-5fd7-4232-8ba4-fde7dc278c76":{"description":"Overloaded","content":{"application/json":{"schema":{"type":"object","required":["error"],"properties":{"error":{"type":"object","properties":{"message":{"type":"string","nullable":false,"isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"type":{"type":"string","nullable":false,"isRequired":true,"uniqueKey":"error.type","typeLabel":"string"},"param":{"oneOf":[{"type":"string","default":null,"uniqueKey":"error.param.oneOf.0","typeLabel":"string"},{"type":"null","default":null,"uniqueKey":"error.param.oneOf.1","typeLabel":"null"}],"uniqueKey":"error.param","typeLabel":"string | null"},"code":{"oneOf":[{"type":"string","default":null,"uniqueKey":"error.code.oneOf.0","typeLabel":"string"},{"type":"null","default":null,"uniqueKey":"error.code.oneOf.1","typeLabel":"null"}],"uniqueKey":"error.code","typeLabel":"string | null"}},"required":["type","message"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"message":"\u003cstring>","type":"\u003cstring>","param":null,"code":null}}}},"exampleType":"generated"}},"exampleType":"generated"},"aeebe852-b188-440d-aadd-e7486d44c036":{"description":"Timeout","content":{"application/json":{"schema":{"type":"object","required":["error"],"properties":{"error":{"type":"object","properties":{"message":{"type":"string","nullable":false,"isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"type":{"type":"string","nullable":false,"isRequired":true,"uniqueKey":"error.type","typeLabel":"string"},"param":{"oneOf":[{"type":"string","default":null,"uniqueKey":"error.param.oneOf.0","typeLabel":"string"},{"type":"null","default":null,"uniqueKey":"error.param.oneOf.1","typeLabel":"null"}],"uniqueKey":"error.param","typeLabel":"string | null"},"code":{"oneOf":[{"type":"string","default":null,"uniqueKey":"error.code.oneOf.0","typeLabel":"string"},{"type":"null","default":null,"uniqueKey":"error.code.oneOf.1","typeLabel":"null"}],"uniqueKey":"error.code","typeLabel":"string | null"}},"required":["type","message"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"message":"\u003cstring>","type":"\u003cstring>","param":null,"code":null}}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"891da42a-45db-49a9-b2ed-1e5ffa9585c5":{"bearerAuth":{"type":"http","scheme":"bearer","x-bearer-format":"bearer","x-default":"default","scopes":[],"schemeName":"bearerAuth"}}},"servers":{"df5d395b-4361-482a-b199-024e9b646a04":{"url":"https://api.together.ai","description":"Default environment for APIs"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","x-bearer-format":"bearer","x-default":"default","scopes":[],"schemeName":"bearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","default":"default","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"openapi.yaml"},"subdomain":"togetherai-52386018","siteName":"Together AI docs","title":"Create a rerank request - Together AI docs","contextualStarterQuestions":[{"_id":"6ad91dccfbf19541c895be34","deploymentId":"686f1c528aaae71885a4b279","questionText":"How is rerank ordering determined?","status":"active","generatedBy":"contextual","path":"reference/rerank","createdAt":"2026-10-21T20:17:16.558Z","updatedAt":"2026-10-21T20:17:16.558Z","__v":0},{"_id":"6ad91dccfbf19541c895be33","deploymentId":"686f1c528aaae71885a4b279","questionText":"What scoring does rerank provide?","status":"active","generatedBy":"contextual","path":"reference/rerank","createdAt":"2026-10-21T20:17:16.558Z","updatedAt":"2026-10-21T20:17:16.558Z","__v":0},{"_id":"6ad91dccfbf19541c895be32","deploymentId":"686f1c528aaae71885a4b279","questionText":"How do I rerank documents?","status":"active","generatedBy":"contextual","path":"reference/rerank","createdAt":"2026-10-21T20:17:16.558Z","updatedAt":"2026-10-21T20:17:16.558Z","__v":0}],"navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-21T20:17:09.562Z","originalFileLocation":"reference/rerank.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Rerank a list of documents by relevance to a query. Returns a relevance score and ordering index for each document.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Together AI docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/togetherai-52386018/GkjET5UlJhhSwWhA/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/togetherai-52386018/GkjET5UlJhhSwWhA/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/togetherai-52386018/GkjET5UlJhhSwWhA/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/togetherai-52386018/GkjET5UlJhhSwWhA/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/togetherai-52386018/GkjET5UlJhhSwWhA/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/togetherai-52386018/GkjET5UlJhhSwWhA/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/togetherai-52386018/GkjET5UlJhhSwWhA/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/togetherai-52386018/GkjET5UlJhhSwWhA/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/togetherai-52386018/GkjET5UlJhhSwWhA/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create a rerank request - Together AI docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Rerank a list of documents by relevance to a query. Returns a relevance score and ordering index for each document.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Together AI docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.together.ai/reference/rerank\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://togetherai-52386018.mintlify.app/_mintlify/api/og/v2?division=Rerank\u0026amp;title=Create+a+rerank+request\u0026amp;description=Rerank+a+list+of+documents+by+relevance+to+a+query.+Returns+a+relevance+score+and+ordering+index+for+each+document.\u0026amp;theme=c0e634772bf5324b338a7fcf\u0026amp;signature=fd04a960a7dd0e5db6ccb5fec7e7d7fb663f6464c0a5d87299a3ec31c738ce00\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create a rerank request - Together AI docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Rerank a list of documents by relevance to a query. Returns a relevance score and ordering index for each document.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://togetherai-52386018.mintlify.app/_mintlify/api/og/v2?division=Rerank\u0026amp;title=Create+a+rerank+request\u0026amp;description=Rerank+a+list+of+documents+by+relevance+to+a+query.+Returns+a+relevance+score+and+ordering+index+for+each+document.\u0026amp;theme=c0e634772bf5324b338a7fcf\u0026amp;signature=fd04a960a7dd0e5db6ccb5fec7e7d7fb663f6464c0a5d87299a3ec31c738ce00\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/togetherai-52386018/GkjET5UlJhhSwWhA/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Together AI docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#FC4C02\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.together.ai/reference/rerank\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/reference/rerank.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.together.ai/#organization\",\"name\":\"Together AI docs\",\"url\":\"https://docs.together.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/togetherai-52386018/gasg_XMR14P-KB11/logo/logo.svg?fit=max\u0026auto=format\u0026n=gasg_XMR14P-KB11\u0026q=85\u0026s=7ce2e810455d35e5916bb7253983eb98\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.together.ai#website\",\"name\":\"Together AI docs\",\"url\":\"https://docs.together.ai\",\"publisher\":{\"@id\":\"https://docs.together.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.together.ai/reference/rerank#webpage\",\"url\":\"https://docs.together.ai/reference/rerank\",\"name\":\"Create a rerank request\",\"description\":\"Rerank a list of documents by relevance to a query. Returns a relevance score and ordering index for each document.\",\"dateModified\":\"2026-10-21T20:17:09.562Z\",\"isPartOf\":{\"@id\":\"https://docs.together.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.together.ai/reference/rerank#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.together.ai/reference/rerank#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"TOGETHER APIS\",\"item\":\"https://docs.together.ai/reference/chat-completions\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Create a rerank request\",\"item\":\"https://docs.together.ai/reference/rerank\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.together.ai/reference/rerank#apireference\",\"headline\":\"Create a rerank request\",\"name\":\"Create a rerank request\",\"description\":\"Rerank a list of documents by relevance to a query. Returns a relevance score and ordering index for each document.\",\"url\":\"https://docs.together.ai/reference/rerank\",\"mainEntityOfPage\":{\"@id\":\"https://docs.together.ai/reference/rerank#webpage\"},\"dateModified\":\"2026-10-21T20:17:09.562Z\",\"publisher\":{\"@id\":\"https://docs.together.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.together.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Together AI docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Together AI docs","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/intro"}]},{"tab":"Guides","pages":[{"title":"Guides","href":"/docs/guides"}]},{"tab":"Learn","pages":[{"title":"Learn","href":"/learn"}]},{"tab":"Demos","pages":[{"title":"Demos","href":"/examples"}]},{"tab":"API reference","groups":[{"group":"TOGETHER APIS","pages":[{"group":"Chat","pages":[{"openapi":"openapi.yaml POST /v1/chat/completions","title":"Create chat completion","href":"/reference/chat-completions"}]},{"group":"Images","pages":[{"openapi":"openapi.yaml POST /v1/images/generations","title":"Create image","href":"/reference/post-images-generations"}]},{"group":"Audio","pages":[{"openapi":"openapi.yaml POST /v1/audio/speech","title":"Create audio generation request","href":"/reference/audio-speech"},{"title":"Create realtime text-to-speech","openapi":"openapi.yaml GET /v1/audio/speech/websocket","href":"/reference/audio-speech-websocket"},{"title":"List voices","openapi":"openapi.yaml GET /v1/voices","href":"/reference/voices-list"},{"openapi":"openapi.yaml POST /v1/audio/transcriptions","title":"Create audio transcription request","href":"/reference/audio-transcriptions"},{"openapi":"openapi.yaml POST /v1/audio/translations","title":"Create audio translation request","href":"/reference/audio-translations"},{"openapi":"openapi.yaml GET /v1/realtime","title":"Real-time audio transcription via WebSocket","href":"/reference/audio-transcriptions-realtime"}]},{"group":"Videos","pages":[{"openapi":"openapi.yaml POST /v2/videos","title":"Create video","href":"/reference/create-videos"},{"openapi":"openapi.yaml GET /v2/videos/{id}","title":"Fetch video metadata","description":"Fetch video metadata","href":"/reference/get-videos-id"}]},{"group":"Rerank","pages":[{"openapi":"openapi.yaml POST /v1/rerank","title":"Create a rerank request","href":"/reference/rerank"}]},{"group":"Completion","pages":[{"openapi":"openapi.yaml POST /v1/completions","title":"Create completion","description":"Generate text completions for a given prompt using a language, code, or image model.","href":"/reference/completions"}]},{"group":"Batches","pages":[{"openapi":"openapi.yaml GET /v1/batches","title":"List batch jobs","href":"/reference/batch-list"},{"openapi":"openapi.yaml POST /v1/batches","title":"Create a batch job","href":"/reference/batch-create"},{"openapi":"openapi.yaml GET /v1/batches/{id}","title":"Get a batch job","href":"/reference/batch-get"},{"openapi":"openapi.yaml POST /v1/batches/{id}/cancel","title":"Cancel a batch job","href":"/reference/batch-cancel"}]},{"group":"Post-training","pages":[{"openapi":"openapi.yaml GET /v1/rl/supported-models","title":"List supported models","href":"/reference/post-training/supported-models-list"},{"group":"Model resources","pages":[{"openapi":"openapi.yaml GET /v1/rl/model-resources","title":"List model resources","href":"/reference/post-training/model-resources-list"},{"openapi":"openapi.yaml POST /v1/rl/model-resources","title":"Create model resources","href":"/reference/post-training/model-resources-create"},{"openapi":"openapi.yaml POST /v1/rl/model-resources/estimate-cost","title":"Estimate on-demand model resource cost","href":"/reference/post-training/model-resources-estimate-cost"},{"openapi":"openapi.yaml GET /v1/rl/model-resources/{model_resources_id}","title":"Get model resources","href":"/reference/post-training/model-resources-get"},{"openapi":"openapi.yaml POST /v1/rl/model-resources/{model_resources_id}/extend-expiry","title":"Extend model resources expiry","href":"/reference/post-training/model-resources-extend-expiry"},{"openapi":"openapi.yaml POST /v1/rl/model-resources/{model_resources_id}/stop","title":"Stop model resources","href":"/reference/post-training/model-resources-stop"}]},{"group":"Training sessions","pages":[{"openapi":"openapi.yaml GET /v1/rl/training-sessions","title":"List training sessions","href":"/reference/post-training/training-sessions-list"},{"openapi":"openapi.yaml POST /v1/rl/training-sessions","title":"Create training session","href":"/reference/post-training/training-sessions-create"},{"openapi":"openapi.yaml GET /v1/rl/training-sessions/{session_id}","title":"Get training session","href":"/reference/post-training/training-sessions-get"},{"openapi":"openapi.yaml PATCH /v1/rl/training-sessions/{session_id}","title":"Update a training session","href":"/reference/post-training/training-sessions-update"},{"openapi":"openapi.yaml POST /v1/rl/training-sessions/{session_id}/stop","title":"Stop training session","href":"/reference/post-training/training-sessions-stop"}]},{"group":"Operations","pages":[{"openapi":"openapi.yaml POST /v1/rl/training-sessions/{session_id}/operations/forward-backward","title":"Forward-backward pass","href":"/reference/post-training/operations-forward-backward-create"},{"openapi":"openapi.yaml GET /v1/rl/training-sessions/{session_id}/operations/forward-backward/{operation_id}","title":"Get forward-backward operation","href":"/reference/post-training/operations-forward-backward-get"},{"openapi":"openapi.yaml POST /v1/rl/training-sessions/{session_id}/operations/custom-forward-backward","title":"Custom forward-backward pass","href":"/reference/post-training/operations-custom-forward-backward-create"},{"openapi":"openapi.yaml GET /v1/rl/training-sessions/{session_id}/operations/custom-forward-backward/{operation_id}","title":"Get custom forward-backward operation","href":"/reference/post-training/operations-custom-forward-backward-get"},{"openapi":"openapi.yaml POST /v1/rl/training-sessions/{session_id}/operations/optim-step","title":"Optimizer step","href":"/reference/post-training/operations-optim-step-create"},{"openapi":"openapi.yaml GET /v1/rl/training-sessions/{session_id}/operations/optim-step/{operation_id}","title":"Get optim-step operation","href":"/reference/post-training/operations-optim-step-get"},{"openapi":"openapi.yaml POST /v1/rl/training-sessions/{session_id}/operations/sample","title":"Sample","href":"/reference/post-training/operations-sample-create"},{"openapi":"openapi.yaml GET /v1/rl/training-sessions/{session_id}/operations/sample/{operation_id}","title":"Get sample operation","href":"/reference/post-training/operations-sample-get"},{"openapi":"openapi.yaml POST /v1/rl/training-sessions/{session_id}/operations/weights-sync","title":"Weights sync","href":"/reference/post-training/operations-weights-sync-create"},{"openapi":"openapi.yaml GET /v1/rl/training-sessions/{session_id}/operations/weights-sync/{operation_id}","title":"Get weights-sync operation","href":"/reference/post-training/operations-weights-sync-get"},{"openapi":"openapi.yaml POST /v1/rl/training-sessions/{session_id}/operations/inference-checkpoint","title":"Create inference checkpoint","href":"/reference/post-training/operations-inference-checkpoint-create"},{"openapi":"openapi.yaml GET /v1/rl/training-sessions/{session_id}/operations/inference-checkpoint/{operation_id}","title":"Get inference checkpoint operation","href":"/reference/post-training/operations-inference-checkpoint-get"},{"openapi":"openapi.yaml POST /v1/rl/training-sessions/{session_id}/operations/training-checkpoint","title":"Save training checkpoint","href":"/reference/post-training/operations-training-checkpoint-create"},{"openapi":"openapi.yaml GET /v1/rl/training-sessions/{session_id}/operations/training-checkpoint/{operation_id}","title":"Get save training checkpoint operation","href":"/reference/post-training/operations-training-checkpoint-get"}]},{"group":"Checkpoints","pages":[{"openapi":"openapi.yaml GET /v1/rl/checkpoints","title":"List checkpoints","href":"/reference/post-training/checkpoints-list"},{"openapi":"openapi.yaml GET /v1/rl/checkpoints/{id}","title":"Get checkpoint","href":"/reference/post-training/checkpoints-get"},{"openapi":"openapi.yaml GET /v1/rl/checkpoints/{id}/download","title":"Download checkpoint","href":"/reference/post-training/checkpoints-download"}]},{"group":"FP4 preparation","pages":[{"openapi":"openapi.yaml POST /v1/shaping/prepare-for-fp4-inference","title":"Prepare a fine-tuned model for FP4 inference","href":"/reference/post-training/fp4-inference-create"},{"openapi":"openapi.yaml POST /v1/shaping/prepare-for-fp4-inference/estimate","title":"Estimate FP4 preparation cost","href":"/reference/post-training/fp4-inference-estimate"},{"title":"List FP4 preparation jobs","openapi":"openapi.yaml GET /v1/shaping","href":"/reference/post-training/shaping-jobs-list"},{"title":"Get FP4 preparation job","openapi":"openapi.yaml GET /v1/shaping/{id}","href":"/reference/post-training/shaping-jobs-get"},{"title":"Cancel FP4 preparation job","openapi":"openapi.yaml POST /v1/shaping/{id}/cancel","href":"/reference/post-training/shaping-jobs-cancel"},{"title":"List FP4 preparation job events","openapi":"openapi.yaml GET /v1/shaping/{id}/events","href":"/reference/post-training/shaping-jobs-list-events"}]}]},{"group":"Fine-tuning","pages":[{"openapi":"openapi.yaml POST /v1/fine-tunes","title":"Create job","href":"/reference/post-fine-tunes"},{"openapi":"openapi.yaml POST /v1/fine-tunes/estimate-price","title":"Estimate price","href":"/reference/post-fine-tunes-estimate-price"},{"openapi":"openapi.yaml POST /v1/fine-tunes/preview","title":"Preview tokenized data","href":"/reference/post-fine-tunes-preview"},{"openapi":"openapi.yaml GET /v1/fine-tunes","title":"List all jobs","href":"/reference/get-fine-tunes"},{"openapi":"openapi.yaml GET /v1/fine-tunes/{id}","title":"List job","href":"/reference/get-fine-tunes-id"},{"openapi":"openapi.yaml GET /v1/fine-tunes/{id}/events","title":"List job events","href":"/reference/get-fine-tunes-id-events"},{"openapi":"openapi.yaml GET /v1/fine-tunes/{id}/checkpoints","title":"List checkpoints","href":"/reference/get-fine-tunes-id-checkpoint"},{"openapi":"openapi.yaml GET /v1/fine-tunes/{id}/metrics","title":"Get metrics","href":"/reference/get-fine-tunes-id-metrics"},{"openapi":"openapi.yaml GET /v1/fine-tunes/{id}/download-tokenized-dataset","title":"Download tokenized dataset","href":"/reference/get-fine-tunes-id-download-tokenized-dataset"},{"openapi":"openapi.yaml GET /v1/finetune/download","title":"Download model","href":"/reference/get-finetune-download"},{"openapi":"openapi.yaml POST /v1/fine-tunes/{id}/cancel","title":"Cancel job","href":"/reference/post-fine-tunes-id-cancel"},{"openapi":"openapi.yaml DELETE /v1/fine-tunes/{id}","title":"Delete a fine-tune job","href":"/reference/delete-fine-tunes-id"},{"openapi":"openapi.yaml GET /v1/fine-tunes/models/supported","title":"List supported models","href":"/reference/get-fine-tunes-models-supported"},{"openapi":"openapi.yaml GET /v1/fine-tunes/models/limits","title":"Get model limits","href":"/reference/get-fine-tunes-models-limits"}]},{"group":"Evaluations","pages":[{"openapi":"openapi.yaml POST /v1/evaluation","title":"Create an evaluation job","href":"/reference/create-evaluation"},{"openapi":"openapi.yaml GET /v1/evaluation","title":"Get all evaluation jobs","href":"/reference/list-evaluations"},{"openapi":"openapi.yaml GET /v1/evaluation/{id}","title":"Get evaluation job details","href":"/reference/get-evaluation"},{"openapi":"openapi.yaml GET /v1/evaluation/{id}/status","title":"Get evaluation job status and results","href":"/reference/get-evaluation-status"},{"openapi":"openapi.yaml GET /v1/evaluation/model-list","title":"Get model list","href":"/reference/list-evaluation-models"}]},{"group":"Files","pages":[{"openapi":"openapi.yaml GET /v1/files","title":"List all files","href":"/reference/get-files"},{"openapi":"openapi.yaml GET /v1/files/{id}","title":"Retrieve file metadata","href":"/reference/get-files-id"},{"openapi":"openapi.yaml DELETE /v1/files/{id}","title":"Delete a file","href":"/reference/delete-files-id"},{"openapi":"openapi.yaml GET /v1/files/{id}/content","title":"Get file contents","href":"/reference/get-files-id-content"},{"openapi":"openapi.yaml POST /v1/files/upload","title":"Upload a file","href":"/reference/upload-file"}]},{"group":"Clusters","pages":[{"openapi":"openapi.yaml POST /v1/compute/clusters","title":"Create a GPU cluster","href":"/reference/clusters-create"},{"openapi":"openapi.yaml GET /v1/compute/clusters","title":"List all GPU clusters","href":"/reference/clusters-list"},{"openapi":"openapi.yaml GET /v1/compute/clusters/{cluster_id}","title":"Get GPU cluster by cluster ID","href":"/reference/clusters-get"},{"openapi":"openapi.yaml PUT /v1/compute/clusters/{cluster_id}","title":"Update a GPU cluster","href":"/reference/clusters-update"},{"openapi":"openapi.yaml DELETE /v1/compute/clusters/{cluster_id}","title":"Delete GPU cluster by cluster ID","href":"/reference/clusters-delete"},{"group":"Storage","pages":[{"openapi":"openapi.yaml POST
[...]
